Starmade | No way to reclaim large item stacks
Closed, FinishedPublic

Description

If a stack too large to fit in the inventory is dropped (say, by breaking a chest), there is no way to pick it up, resulting in potentially massive item loss.

Details

Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.19517 (Dev)
Issue Type
Bug
Category
Control Block System: Functional
First occurrence (version)
0.19511 (Dev)
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
Ithirahad created this task.Dec 3 2015, 9:33 PM
Ithirahad changed Affected Gamemode(s) from none/unspecified to Single and Multi.
Ithirahad changed Reproducible from uncertain to Yes.
Ithirahad set Last tested (version) to 0.19511.
Ithirahad edited Serverconfig (server.cfg). (Show Details)
Ithirahad edited Clientconfig (settings.cfg). (Show Details)
Ithirahad added a subscriber: Ithirahad.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptDec 3 2015, 9:33 PM
lancake claimed this task.Dec 4 2015, 6:43 AM
lancake added a subscriber: lancake.

-Validated-

Now that you can't pick up stacks anymore that will make you go over-capacity, it should be something looked at to figure out how to recover large stacks easily.

lancake triaged this task as "Pre-Release Quality Assurance" priority.Dec 4 2015, 6:44 AM
lancake shifted this object from the S1 Public space to the S3 Starmade space.
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake set Issue Type to Bug.
lancake set Category to Control Block System: Functional.
lancake set First occurrence (version) to 0.19511 (Dev).
lancake changed Last tested (version) from 0.19511 to 0.19511 (Dev).
lancake set OS-Specific to No.
lancake set Hardware-Specific to No.
lancake set Video Card Vendor to uncertain.
lancake changed the task status from "Open" to "In Queue (Game)".

-Confirmed-

Was partially fixed. You can now pick up over capacity stacks but only partially, till you're inventory is full.
A remaining issue is that if you do this, it also despawns whatever remained in that stack.

schema changed the task status from "In Queue (Game)" to "Resolved".Dec 4 2015, 8:21 PM
schema added a subscriber: schema.
lancake changed the task status from "Resolved" to "In Queue (Game)".Dec 4 2015, 9:25 PM

There's a very small mistake remaining:

  • When you pick it up, you pick enough up to just get to your max capacity, but when you go over it once more you pick up exactly 1 block which makes you cross the limit.

Probably a conditional statement mistake.

lancake changed Last tested (version) from 0.19511 (Dev) to 0.19517 (Dev).Dec 4 2015, 9:25 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Dec 4 2015, 10:26 PM
lancake closed this task as "Closed".Dec 5 2015, 6:43 PM

-QA Testing-

Didn't see it anymore in my tests, should be fixed then.

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptDec 5 2015, 6:43 PM

Add Comment